/**
  *  \file client/actions.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_H
#define PCC_V2_CLIENT_ACTIONS_H

#include "game/objlist.h"

class GPlanet;
class GShip;
struct UIEvent;
class GUniverse;
class UIBaseWidget;
class GCommandContainer;

void doPlanetTransfer(GUniverse& univ, GPlanet& planet, bool unload);
void doPlanetTransferFor(GUniverse& univ, GPlanet& planet, GObjectReference target);
void doPlanetBuildBase(GUniverse& univ, GPlanet& planet);
void doPlanetAddToSim(GPlanet& planet);

void doBaseChangeMission(GPlanet& planet);
void doBaseFixRecycle(GUniverse& univ, GPlanet& planet, UIBaseWidget& w);

void doShipAddToSim(GShip& ship, bool ask);
void doGiveShip(GShip& ship, GCommandContainer& cmds);
void doGivePlanet(GPlanet& planet, GCommandContainer& cmds);
void doShipTransferFor(GShip& ship, GObjectReference chosen);
void doShipCargoTransfer(GUniverse& univ, GShip& ship);

bool chooseBaseMission(int& value, const char* help);

#endif
