/**
  *  \file client/widgets/goalinput.h
  *  \brief Build Goal Input Widget
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_GOALINPUT_H
#define PCC_V2_CLIENT_WIDGETS_GOALINPUT_H

#include "ui/widgets/decimalsel.h"

/** Build goal input widget. Exactly like UIDecimalSelector, but
    - displays -1 as "[don't change]"
    - accepts Alt-D to set value -1 */
class WGoalInput : public UIDecimalSelector {
 public:
    WGoalInput(int id, int min, int max, int step)
        : UIDecimalSelector(id, min, max, step)
        { }
    ~WGoalInput();

    bool handleEvent(const UIEvent& event, bool second_pass);

    string_t getStringValue();
};

#endif
