/**
  *  \file int/export/expjson.h
  *  \brief Export to JSON file
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_EXPORT_EXPJSON_H
#define PCC_V2_INT_EXPORT_EXPJSON_H

#include "int/export.h"

/** Export to JSON text. Generates output as an array of hashes. */
class IntJsonTextExporter : public IntExporter {
    TextFile& tf;
    bool firstField;
    bool firstRecord;

 public:
    IntJsonTextExporter(TextFile& tf);
    void startTable(const IntExportFieldList& fields, const TIntTypeHint types[]);
    void startRecord();
    void addField(IntValue* value, const string_t& name, TIntTypeHint type);
    void endRecord();
    void endTable();
};

#endif
